Skip to content
Start here

Get all converted formats supported

client.ai.toMarkdown.supported(ToMarkdownSupportedParams { account_id } params, RequestOptionsoptions?): SinglePage<ToMarkdownSupportedResponse { extension, mimeType } >
GET/accounts/{account_id}/ai/tomarkdown/supported

Lists all file formats supported for conversion to Markdown.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI WriteWorkers AI Read
ParametersExpand Collapse
params: ToMarkdownSupportedParams { account_id }
account_id: string
ReturnsExpand Collapse
ToMarkdownSupportedResponse { extension, mimeType }
extension: string
mimeType: string

Get all converted formats supported

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const toMarkdownSupportedResponse of client.ai.toMarkdown.supported({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(toMarkdownSupportedResponse.extension);
}
{
  "result": [
    {
      "extension": "extension",
      "mimeType": "mimeType"
    }
  ],
  "success": true
}
Returns Examples
{
  "result": [
    {
      "extension": "extension",
      "mimeType": "mimeType"
    }
  ],
  "success": true
}